#!/bin/bash
#
# Recipe-specific step for task Install: task.install.squashfs-tools-native_4.5-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run install -d "${installDir}${includedir}"
	cd squashfs-tools
	do_make_install INSTALL_DIR=${installDir}${sbindir}
	log_run install -m 0644 "${buildDir}"/squashfs-tools/squashfs_fs.h "${installDir}${includedir}"
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

